
options(Ncpus = 4)
getOption("Ncpus", 1L)
parallel::detectCores()

source("../bin/fastq_function.R")
source("../bin/mutation_function.R")

setwd("~/demo_data/")

folder<-c("bam_PSMB5_ref_rep1","bam_PSMB5_ref_rep2","bam_PSMB5_exp_rep1","bam_PSMB5_exp_rep2")
bam_file<-c("PSMB5_ref_rep1","PSMB5_ref_rep2","PSMB5_exp_rep1","PSMB5_exp_rep2")

cds_name<-"uc001wii.3"
cds_start<-264
cds_end<-1056
ref_path<-"../index/psmb5_NM_002797_hg19_mrna.fa"


for(i in 1:length(folder)){

  coverage_file<-paste0(folder[i],"/",bam_file[i],".coverage")
  codon_coverage(coverage_file,cds_start,cds_end)

  
  mut_bam_path<-paste0(folder[i],"/",bam_file[i],".ext.sort")
  extract_subs_mut_bam(mut_bam_path,cds_name,cds_start,cds_end)
  

  codon_depth_path<-paste0(folder[i],"/",bam_file[i],".coverage.codon.depth.txt")
  del_freq(mut_bam_path,cds_start,cds_end,codon_depth_path)

  subs_bam_path<-paste0(mut_bam_path,".single.aa.subs.sort.bam")
  substitution_freq(cds_name,cds_start,cds_end,subs_bam_path,ref_path,codon_depth_path)
  
}


