source("../bin/result_base_function.R")
source("../bin/result_plot_function.R")
source("../bin/result_function.R")
source("../bin/mutation_function.R")
#setwd("~/demo_data/")
setwd("~/demo_data/")

folder<-gene_label<-"PSMB5"
cds_start<-264
cds_end<-1056
count_th<-9

singleDelWeight<-4
del_cut<-0
del_len_cut<-3

exp1_label<-"PSMB5_exp_rep1"
exp2_label<-"PSMB5_exp_rep2"
ref1_label<-"PSMB5_ref_rep1"
ref2_label<-"PSMB5_ref_rep2"
#wt_label<-"PSMB5_WT_cDNA"


figFolder<-paste0("results_fig_",gene_label)
tableFolder<-paste0("result_output_",gene_label)

output_del(folder,cds_start,cds_end,count_th,exp1_label,exp2_label,ref1_label,ref2_label,gene_label,singleDelWeight,del_cut,100,del_len_cut)

output_subs(folder,cds_start,cds_end,count_th,exp1_label,exp2_label,ref1_label,ref2_label,gene_label)


aa_seq<-as.character(unlist(read.table(paste0("aa_seq/",gene_label,"_aa.txt"),header=F,sep=",",fill=TRUE,dec=".")))
aa_len<-nchar(aa_seq)
WT_aa<-unlist(strsplit(aa_seq,""))

del_score_info<-read.table(paste0(tableFolder,"/",gene_label,"_del_pos_rank.csv"),header=T,sep=",",fill=TRUE,dec=".")

del_score_info<-del_score_info[order(del_score_info$aa_pos),]

del_score<-del_score_info[,c(1,3)]



cut_score<-1
subs_freq<-read.table(paste0(tableFolder,"/",gene_label,"_subs_avg_freq.csv"),header=T,sep=",",fill=TRUE,dec=".")

subs_freq<-subs_freq[order(subs_freq$aa_pos),]

subs_ess<-del_ess<-rep(0,nrow(subs_freq))

avg_subs_freq<-log10(subs_freq$subs_freq+1e-05)
cut_subs<-mean(avg_subs_freq)+3*sd(avg_subs_freq)
subs_ess[avg_subs_freq>cut_subs]<--1

del_score<-del_score_info$aa_del_score
del_ess[del_score>cut_score]<-1


del_score<-del_score_info[,c(1,3)]
comb_score<-del_score
comb_score[,2]<-del_score[,2]-subs_ess*2
fig_path<-paste0(figFolder,"/",gene_label,"_comb_score_plot.pdf")
red_p<-NULL
black_p<-which(comb_score[,2]>1)
plot_del_score(comb_score,fig_path,red_p,black_p,WT_aa)

comb_score<-comb_score[order(comb_score[,2],decreasing = T),]
write.table(comb_score, 
            paste0(tableFolder,"/",gene_label,"_combination_score.csv"),
            append = F, quote = FALSE, sep = ",",
            row.names = F, col.names = T)	
#which(comb_score[,2]>1)
