### plot_variants_funciton.R


get_plot_variant<-function(reference,gd,bam_files,fig_path,table_path,type_number,min_count,strand){
  
  
  if(strand=="-"){
  print("-")
    crispr_set <- readsToTarget(bam_files, target = gd, reference = reference, target.loc = 13,names = c("rep1","rep2","rep3","WT"))
  }else{
    crispr_set <- readsToTarget(bam_files, target = gd, reference = reference, target.loc = 17,names = c("rep1","rep2","rep3","WT"))
  }

  #crispr_set <-c("rep1","rep2","rep3","WT")
  
  #crispr_set$classifyVariantsByType("deletion")
  
  #type_number<-1000
  # png("4E4_27_S27_variant.png",width=1000,height=1000)
  
  var_type_count<-variantCounts(crispr_set,top.n = type_number)
  
  write.table(var_type_count, 
              table_path,
              append = FALSE, quote = FALSE, sep = ";",
              row.names = T,col.names = NA) 
  print(ceiling(length(var_type_count)/100))
  pdf(fig_path,height=ceiling(length(var_type_count)/100),width=8)
  
  p <- plotVariants(crispr_set,gene.text.size = 4, row.ht.ratio = c(1,8), col.wdth.ratio = c(4,2), 
                    plotAlignments.args = list(top.n = type_number,line.weight = 0.5, ins.size = 2,min.count=min_count, max.insertion.size = 25,legend.symbol.size = 4), 
                    plotFreqHeatmap.args = list(top.n = type_number,plot.text.size = 2, x.size = 4, min.count=min_count, max.insertion.size = 25,legend.text.size = 4, legend.key.height = grid::unit(0.5, "lines")))
  
  dev.off()
  
  # plotAlignments(gol, top.n = 3, codon.frame = 1)
  

  
  
}


